<?php
/***
 * Comments Template
 *
 * This template displays the current comments of a post and the comment form
 *
 */

if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && 'comments.php' == basename( $_SERVER['SCRIPT_FILENAME'] ) ) {
	die( 'Please do not load this page directly. Thanks!' );
}

if ( post_password_required() ) : ?>
	<p><?php esc_html_e( 'Enter password to view comments.', 'momentous-lite' ); ?></p>
<?php return; endif; ?>


<?php if ( have_comments() or comments_open() ) : ?>

	<div id="comments">
	
		<?php if ( have_comments() ) : ?>

			<h3 class="comments-title"><span><?php comments_number( '', esc_html__( 'One comment', 'momentous-lite' ), esc_html__( '% comments', 'momentous-lite' ) );?></span></h3>
			
			<ul class="commentlist">
				<?php wp_list_comments( array( 'callback' => 'momentous_list_comments' ) ); ?>
			</ul>

			<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
			<div class="comment-pagination clearfix">
				<div class="alignleft"><?php previous_comments_link() ?></div>
				<div class="alignright"><?php next_comments_link() ?></div>
			</div>
			<?php endif; ?>
			
		<?php endif; ?>

		<?php if ( comments_open() ) : ?>
			<?php comment_form( array(
				'title_reply' => '<span>' . esc_html__( 'Leave a Reply', 'momentous-lite' ) . '</span>',
				'comment_notes_after' => '',
				)
			); ?>
		<?php endif; ?>

	</div>

<?php endif; ?>
